
Redmine - Defect #20380

Cannot assign users to projects with IE set to compatibility mode

2015-07-21 09:21 - Uli Hecht

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.6.8   

Resolution: Fixed Affected version: 2.6.6

Description

I'm not able to assign users to projects anymore in Internet Explorer 11 (didn't test older IE versions). It still works in Firefox (didn't

test other browsers). The user selection dialog opens, but nothing happens when I click the "Add" button after having selected user

and role.

Environment:

  Redmine version                3.0.4.stable.14445

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem

Redmine plugins:

  no plugin installed

 I have an older version of redmine running on a different server (3.0.3.stable.14274) which is not affected.

Related issues:

Related to Redmine - Patch #38228: Remove X-UA-Compatible meta tag for Intern... Closed

Has duplicate Redmine - Defect #20777: Add button not working with Internet E... Closed

Has duplicate Redmine - Defect #20474: You can not edit notes in 3.1.0 releas... Closed

Associated revisions

Revision 14654 - 2015-10-09 09:05 - Jean-Philippe Lang

Updgrade to jquery-rails 3.1.4 (#20380).

Revision 14655 - 2015-10-09 09:06 - Jean-Philippe Lang

Merged r14654 (#20380).

Revision 14656 - 2015-10-09 09:06 - Jean-Philippe Lang

Merged r14654 (#20380).

Revision 14657 - 2015-10-09 09:14 - Jean-Philippe Lang

Merged r14654 (#20380).

Revision 14658 - 2015-10-09 09:20 - Jean-Philippe Lang

Disables IE compatibility mode (#20380).

Revision 14659 - 2015-10-09 09:21 - Jean-Philippe Lang

Merged r14658 (#20380).

Revision 14660 - 2015-10-09 09:22 - Jean-Philippe Lang

Merged r14658 (#20380).
Revision 14661 - 2015-10-09 09:23 - Jean-Philippe Lang

Merged r14658 (#20380).

History

#1 - 2015-07-21 09:48 - Uli Hecht

For unknown reasons IE requests the page to be IE 7 compatible and switches to IE 7 mode when I access our redmine installation. This issue is

invalid if Redmine is not IE 7 compatible. The reason for the IE behavior is caused on our side.

#2 - 2015-07-21 10:20 - Karel Pičman

FF and Chrome work well. IE 10 fails. A similar issue by adding watchers. The form is being closed but no watchers added.

#3 - 2015-07-21 10:28 - Go MAEDA

Works fine with IE 8 and Redmine 3.0.4.stable.14445.

#4 - 2015-07-21 10:33 - Uli Hecht

- File unset-ie-compatibility-mode.diff added

The systems of our company set all intranet pages to compatibility mode via policy (IE 7). You can override this by setting the X-UA-Compatible meta

tag in app/views/layouts/base.html.erb:

<html lang="<%= current_language %>">

<head>

<meta charset="utf-8" />

<meta http-equiv="X-UA-Compatible" content="IE=edge"/> 

<title><%=h html_title %></title>

 I attached a patch.

#5 - 2015-07-21 10:39 - Karel Pičman

I've just tested an older version of Redmine 3.0.3.stable.14445 and no problem there neither with members nor watchers.

#6 - 2015-09-10 13:52 - Björn Böttcher

I've got the same issue with my 3.0.4.1

This Bug is fixed in the last Version 3.1.

Because I'm a developer (this means I'm lazy as hell), I get the changes from the newest Version

http://www.redmine.org/projects/redmine/repository/revisions/14238/diff/trunk/app/views/watchers/_set_watcher.js.erb?utf8=%E2%9C%93&type=sbs

and

http://www.redmine.org/projects/redmine/repository/revisions/14238/diff/trunk/app/views/watchers/_watchers.html.erb?utf8=%E2%9C%93&type=sbs

Whoop, Whoop, these "oldsqlbrowser" user can now adding anybody to the watchers list.

#7 - 2015-09-10 14:04 - Toshi MARUYAMA

- Status changed from New to Closed

Thank you for your feedback.

Redmine 3.0 is no longer maintained.

#8 - 2015-09-10 14:05 - Toshi MARUYAMA

Björn Böttcher wrote:

Whoop, Whoop, these "oldsqlbrowser" user can now adding anybody to the watchers list.

 What do you mean?

#9 - 2015-09-10 14:06 - Toshi MARUYAMA

- Status changed from Closed to New

- Priority changed from High to Normal

#10 - 2015-09-10 14:06 - Toshi MARUYAMA
- Status changed from New to Needs feedback

#11 - 2015-09-11 13:32 - Andreas Deininger

I'm running Redmine 3.1.0.stable and we also have/had issues when adding watchers to a ticket (as described by Karel above, the form is being

closed but no watchers added). All affected users where using Internet Explorer as web browser. No problem with Firefox. When using Redmine 3.0,

adding watchers with Internet Explorer worked fine.

#12 - 2015-09-11 15:34 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#13 - 2015-09-11 15:35 - Toshi MARUYAMA

- Affected version changed from 3.0.4 to 3.1.0

#14 - 2015-09-18 13:34 - Toshi MARUYAMA

- Has duplicate Defect #20777: Add button not working with Internet Explorer added

#15 - 2015-09-27 06:43 - Go MAEDA

I cannot reproduce it on trunk r14624 with IE 11 + Windows 7. Both members and watchers form works fine for me.

#16 - 2015-09-27 08:32 - Go MAEDA

I have reproduced with IE 7.

Probably caused by r14381 (affects Redmine 3.0.4 and later). Works fine after reverting to r14380.

#17 - 2015-09-27 09:39 - Go MAEDA

- Category changed from Project settings to UI

- Affected version changed from 3.1.0 to 3.0.4

I think it would be better to merge Uli Hecht's patch (#20380#note-4) to prevent IE from falling back to IE 7 mode.

#18 - 2015-09-27 09:41 - Go MAEDA

- Target version set to Candidate for next minor release

#19 - 2015-09-28 02:14 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.1.2

Uli Hecht's patch works fine for my acquaintance who had same trouble after upgrading from 3.0.3 to 3.1.0.

Setting target version to 3.1.2.

#20 - 2015-09-28 02:29 - Go MAEDA

- Target version changed from 3.1.2 to 2.6.8

Setting target version to 3.1.2.

 Sorry, target version should be 2.6.8 because r14381 was also merged to 2.6-stable branch (r14384, influences 2.6.6 and 2.6.7).

#21 - 2015-09-28 15:04 - Go MAEDA

- Has duplicate Defect #20474: You can not edit notes in 3.1.0 release, Save button is not working. added

#22 - 2015-09-28 15:30 - Go MAEDA

- Affected version changed from 3.0.4 to 2.6.6

Affected versions:

2.6.6, 2.6.7

3.0.4, 3.0.5

3.1.0, 3.1.1
#23 - 2015-10-07 22:45 - Александр Маликов

- File Redmine to chrome.mp4 added

- File Redmine to edge.mp4 added

The problem with adding users to the project and have Chrome + win10. With EDGE + win10 is no problem.

web server nginx (https) + puma

Redmine version                3.1.1.stable.14618

Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

Rails version                  4.2.4

Environment                    production

Database adapter               Mysql2

Also, there is a problem with adding files to the task.

Demonstration of error in the attachment.

#24 - 2015-10-08 08:36 - Mischa The Evil

Go MAEDA wrote:

I cannot reproduce it on trunk r14624 with IE 11 + Windows 7. Both members and watchers form works fine for me.

 I have reproduced with IE 7.

Probably caused by r14381 (affects Redmine 3.0.4 and later). Works fine after reverting to r14380.

 You're probably right. To me this looks like a jquery-ujs IE7/IE7-compatibility regression introduced in jquery-rails 3.1.3 which seems to be fixed in

jquery-rails 3.1.4.

Go MAEDA wrote:

I think it would be better to merge Uli Hecht's patch (#20380#note-4) to prevent IE from falling back to IE 7 mode.

 If this can actually be confirmed as a defect caused by the jquery-ujs IE7/IE7-compatibility regression in jquery-rails 3.1.3, we don't need to adapt that

patch. Instead, in that case jquery-ujs just needs to be updated to the version of the script that is shipped with jquery-rails 3.1.4.

#25 - 2015-10-08 14:16 - Go MAEDA

Mischa The Evil wrote:

You're probably right. To me this looks like a jquery-ujs IE7/IE7-compatibility regression introduced in jquery-rails 3.1.3 which seems to be fixed

in jquery-rails 3.1.4.

 Thanks for deep investigation.

If this can actually be confirmed as a defect caused by the jquery-ujs IE7/IE7-compatibility regression in jquery-rails 3.1.3, we don't need to adapt

that patch. Instead, in that case jquery-ujs just needs to be updated to the version of the script that is shipped with jquery-rails 3.1.4.

 But I think even if this problem is fixed by upgrading jquery-ujs, we would be better to apply the patch because falling back to ancient IE7 mode may

cause other problems.

#26 - 2015-10-09 09:26 - Jean-Philippe Lang

- Subject changed from Cannot assign users to projects in IE to Cannot assign users to projects with IE set to compatibility mode

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

jquery-rails is upgraded to 3.1.4 and the X-UA-Compatible tag is restored (it was added in r9372 then removed because Rails used to add it as a

response header which is no longer the case).

#27 - 2023-01-31 01:28 - Go MAEDA

- Related to Patch #38228: Remove X-UA-Compatible meta tag for Internet Explorer added

Files

unset-ie-compatibility-mode.diff 515 Bytes 2015-07-21 Uli Hecht

Redmine to chrome.mp4 318 KB 2015-10-07 Александр Маликов
Redmine to edge.mp4 288 KB 2015-10-07 Александр Маликов
